// Global Constants.
#define CFGBASE_PATH     "Programmi\\Borland\\Common Files\\BDE"
#define CFGDLLBASE_PATH  "Programmi\\Borland\\Common Files\\BDE"

#define BDE_REGKEY1       "\\Software\\Borland\\"
#define BDE_REGKEY       "\\Software\\Borland\\Database Engine\\"
#define LANGDRV_REGKEY   "\\Software\\Borland\\BLW32"
#define WINDOWS_HELP_KEY "\\Software\\Microsoft\\Windows\\Help"
#define HELP_BDE_CONFIG  "BDEADMIN.HLP"
#define NULL_CONFIG_FILE "***"
#define ERROR_MERGE1         "Merging The Configuration File "
#define ERROR_MERGE2         " Has Failed."
#define CNF_FILE_MISSING "The File IDAPI32.CNF could not be located in "//the SUPPORTDIR."

#define BDE_DEST_DEFAULT "Programmi\\Borland\\Common Files\\BDE"

#define BDE_LANG_CODE           "0009" // US English code
#define IDAPI_CFG_FILE          "IDAPI32.CFG"

#define INI_WIN_INI             "WIN.INI"
#define INI_BDE_IDAPI_SECTION   "IDAPI"
#define INI_BDE_ODAPI_SECTION   "ODAPI"
#define INI_BDE_CONFIGFILE      "CONFIGFILE01"
#define IDAPI_ALIAS_SEC         "IDAPI Alias"
#define BDE_DLLPATH             "DLLPATH"
#define BDE_RESOURCE            "RESOURCE"
#define BDE_BLAPIPATH           "BLAPIPATH"
#define BDE_CFG_INST_FILE       "IDAPI32.CNF"
#define BDE_INSTDLL             "IDAPINST.DLL"
#define BDE_SAVE_CONFIG_31      "WIN31"
#define BDE_SAVE_CONFIG_32      "WIN32"
#define BDE_SAVE_CONFIG         "SaveConfig"
#define HELP_SQL_LINK           "SQLLNK32.HLP"

#define IB_SHRLIB_NAME          "gds32.dll"
#define IB_LICENSE_NAME         "ib_licen.dat"
#define IB_SECURITY_NAME        "isc4.gdb"
#define IB_MESSAGE_NAME         "interbas.msg"
#define IB_LICENSEBAK_NAME      "ib_licen.bor"
#define IB_MESSAGEBAK_NAME      "interbas.bor"

// Type Definitions.
typedef BDEINFOSTRUCT
    begin
        STRING szNewConfigPath[256];   // Not used
    STRING szDllPathIn[256];           // Not used
    BOOL bMerge;                            // Whether to merge the CFG file. (Not used)
    STRING szExistingCfgFile[256];  // Existing CFG file.
    BOOL bIDAPI16;                      // 16bit BDE found
    STRING szInstallIBPath[256];   // Not used
    STRING szVersion[32];               // The BDE Version being installed.
    STRING szBackupCfgFile[256];        // Name of backup CFG file.
    STRING szDestCfgFile[256];      // Destination CFG file.
    STRING szDefDestCfg[256];      // Path for the CFG file.
    end;

BDEINFOSTRUCT bdeinfo;
POINTER pbdeinfo;

typedef ALIASINFOSTRUCT
    begin
    STRING szAliasName[256];
    STRING szDriverType[32];
    STRING szAliasPath[256];
        STRING szOptionalParams[256];
    end;

ALIASINFOSTRUCT         aliasinfo;
POINTER paliasinfo;

// Function Protoypes.
prototype _BDEPreInitialization(BDEINFOSTRUCT POINTER);
prototype _BDEPostInitialization(BDEINFOSTRUCT POINTER);
prototype _BDEAddAlias(BDEINFOSTRUCT POINTER, ALIASINFOSTRUCT POINTER);

prototype _LocateXDAPI( BYREF NUMBER, BYREF STRING , BYREF STRING, BYREF STRING);
prototype _ChangeDLLPathInReg ( STRING );
prototype _MakeSettingOfLangDrv( BYREF STRING );
prototype _ChangeConfigPath( STRING, BYREF STRING, NUMBER, STRING, STRING, BYREF BOOL );

prototype _SplitPathFromFile(STRING,BYREF STRING,BYREF STRING);
prototype _TryOpening(STRING);
prototype _BackupFile(BYREF STRING,BYREF STRING);
prototype _CreateHelpKey( STRING, STRING );
prototype _CheckIfLibInst( STRING );
prototype _AssignLocalVars( BDEINFOSTRUCT POINTER, BYREF STRING, BYREF STRING, BYREF BOOL, BYREF STRING,
                                BYREF BOOL,BYREF STRING,BYREF STRING,BYREF STRING,
                                BYREF STRING,BYREF STRING);
prototype _AssignGlobalVars( BDEINFOSTRUCT POINTER, BYREF STRING, BYREF STRING, BYREF BOOL, BYREF STRING,
                                BYREF BOOL,BYREF STRING,BYREF STRING,BYREF STRING,
                                BYREF STRING,BYREF STRING);
prototype _InitBDEStruct(BDEINFOSTRUCT POINTER);

prototype IDAPINST.IntlConfig( STRING, BOOL, STRING );
prototype IDAPINST.MergeCfg( BYREF STRING, BYREF STRING, BYREF STRING, INT, INT, STRING );
prototype IDAPINST.AddAlias( STRING, STRING, STRING, STRING, INT, STRING );
prototype IDAPINST.FixMerge( STRING, INT, BOOL, STRING );
prototype IDAPINST.IncrementIDAPIUseCount();
prototype IDAPINST.ModifyCfgValue( STRING, STRING, STRING, STRING, INT, STRING );














