//----------------------------------------------------------------------------
//  Project Lstwndex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Lstwndex Application
//  FILE:         lwapp.h
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TLWApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(lwapp_h)              // Sentry, use file only if it's not already included.
#define lwapp_h

#include <owl/opensave.h>


#include "lwapp.rh"            // Definition of all resources.



//{{TApplication = TLWApp}}
class TLWApp : public TApplication {
  public:
    TLWApp();
    virtual ~TLWApp();

//{{TLWAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TLWAppVIRTUAL_END}}

//{{TLWAppRSP_TBL_BEGIN}}
  protected:
//{{TLWAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TLWApp);
};    //{{TLWApp}}


#endif  // lwapp_h sentry.
