//----------------------------------------------------------------------------
//  Project BmpMenuApp
//
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenumdiclient.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuMDIClient (TMDIClient).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenumdiclient_h)              // Sentry, use file only if it's not already included.
#define bmpmenumdiclient_h

#include "mdi/bmpmenuapp.rh"            // Definition of all resources.

class TBmpMenu;

//{{TMDIClient = TBmpMenuMDIClient}}
class TBmpMenuMDIClient : public TMDIClient {
  public:
    int      ChildCount;                 // Number of child window created.

    TBmpMenuMDIClient(TModule* module = 0);
    virtual ~TBmpMenuMDIClient();

    void OpenFile(const char* fileName = 0);

    TBmpMenu* GetBmpMenu();

//{{TBmpMenuMDIClientVIRTUAL_BEGIN}}
  protected:
    virtual void SetupWindow();
//{{TBmpMenuMDIClientVIRTUAL_END}}

//{{TBmpMenuMDIClientRSP_TBL_BEGIN}}
  protected:
//{{TBmpMenuMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBmpMenuMDIClient);
};    //{{TBmpMenuMDIClient}}


#endif  // bmpmenumdiclient_h sentry.
