//----------------------------------------------------------------------------
//  Project Shitemex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Shitemex Application
//  FILE:         shexabtd.h
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TShExAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(shexabtd_h)              // Sentry, use file only if it's not already included.
#define shexabtd_h

#include <owl/static.h>

#include "shexapp.rh"                  // Definition of all resources.


//{{TDialog = TShExAboutDlg}}
class TShExAboutDlg : public TDialog {
  public:
    TShExAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TShExAboutDlg();

//{{TShExAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TShExAboutDlgVIRTUAL_END}}
};    //{{TShExAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // shexabtd_h sentry.
