//----------------------------------------------------------------------------
//  Project Shitemex
//  Tenermerx Software
//  Copyright  1997 Tenermerx Software.
//
//  SUBSYSTEM:    Shitemex Application
//  FILE:         shexapp.h
//  AUTHOR:       Christopher Kohlhoff
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TShExApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(shexapp_h)              // Sentry, use file only if it's not already included.
#define shexapp_h

#include <owl/opensave.h>


#include "shexapp.rh"            // Definition of all resources.



//{{TApplication = TShExApp}}
class TShExApp : public TApplication {
  public:
    TShExApp();
    virtual ~TShExApp();

    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

//{{TShExAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TShExAppVIRTUAL_END}}

//{{TShExAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
//{{TShExAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TShExApp);
};    //{{TShExApp}}


#endif  // shexapp_h sentry.
